[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# TStreamCollection.LoadFromStream

Load the collection from a stream

## Declaration

Source position: streamcoll.pp line 61

`public procedure TStreamCollection.LoadFromStream(`
`S: TStream`
`);`

## Arguments

`S` |  | Stream to load collection from.

## Description

LoadFromStream loads the collection from the stream S, if the collection was saved using SaveToStream. It reads the number of items in the collection, and then creates and loads the items one by one from the stream.

## Errors

An exception may be raised if the stream contains invalid data.

## See also

TStreamCollection.SaveToStream |  | Load the collection from the stream.

Documentation generated on: Feb 26 2014